SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Adobe Photoshop Vendors:   Adobe Systems Incorporated
Adobe Photoshop Bugs Let Local Users Obtain Elevated Privileges and Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1038229
SecurityTracker URL:  http://securitytracker.com/id/1038229
CVE Reference:   CVE-2017-3004, CVE-2017-3005   (Links to External Site)
Date:  Apr 11 2017
Impact:   Execution of arbitrary code via network, User access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 17.0.1 (2015.5.1) and prior, 18.0.1 and prior
Description:   Two vulnerabilities were reported in Adobe Photoshop CC. A remote user can cause arbitrary code to be executed on the target user's system. A local user can obtain elevated privileges on the target system.

A remote user can create a specially crafted PCX file that, when loaded by the target user, will trigger a memory corruption error and execute arbitrary code on the target system [CVE-2017-3004]. The code will run with the privileges of the target user.

A local user can exploit an unquoted search path flaw to potentially execute arbitrary code on the target system with elevated privileges [CVE-2017-3005].

Cyril Vallicari / HTTPCS - Ziwit and Kushal Arvind Shah of Fortinet's FortiGuard Labs reported these vulnerabilities.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A local user can obtain elevated privileges on the target system.

Solution:   The vendor has issued a fix (17.0.2 (2015.5.2), 18.1).

The vendor advisory is available at:

https://helpx.adobe.com/security/products/photoshop/apsb17-12.html

Vendor URL:  helpx.adobe.com/security/products/photoshop/apsb17-12.html (Links to External Site)
Cause:   Access control error
Underlying OS:  UNIX (macOS/OS X), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2017, SecurityGlobal.net LLC